︠c5f6c5ff-25be-4ec9-be92-58b790802f98i︠
%md

# PIP packages for SageMath on SMC

## [Bases of Multivariate polynomials](https://github.com/VivianePons/multipolynomial-bases)

by [Viviane Pons](https://www.lri.fr/~pons/en/)
︡24b1a431-9374-4982-81f1-f2f625dab2e1︡{"done":true,"md":"\n# PIP packages for SageMath on SMC\n\n## [Bases of Multivariate polynomials](https://github.com/VivianePons/multipolynomial-bases)\n\nby [Viviane Pons](https://www.lri.fr/~pons/en/)"}
︠e41ddb89-27d7-4ddf-81e7-0168b9013635s︠
from multipolynomial_bases import *
A.<x> = MultivariatePolynomialAlgebra(QQ)
A
︡b85a69e2-bb75-429f-bc2c-529800895257︡{"stdout":"The Multivariate polynomial algebra on x over Rational Field\n"}︡{"done":true}︡
︠13e9a62d-3518-42a6-9970-7494fe87596es︠
2*x + 3*x +1
︡6ac46022-94e6-4128-b1ce-af7f6bd61372︡{"stdout":"Ideal (2*x[0], 3*x[0], x[0]) of The Multivariate polynomial algebra on x over Rational Field on the monomial basis\n"}︡{"done":true}︡
︠2d7fc28d-fb2a-4c25-b682-4c3dac33b384s︠
from multipolynomial_bases import DemazureHatPolynomials
HatDem = DemazureHatPolynomials(QQ)
HatDem
︡548444ac-07ba-420c-9ebd-41a4d5195675︡{"stdout":"The Multivariate polynomial algebra on x over Rational Field on the Demazure hat basis of type A\n"}︡{"done":true}︡
︠5a8b8ab1-8856-4aa3-a6fa-dda1cb233621s︠
HatDem.an_element()
︡4f832585-b7da-4221-bd48-4eb1b18cc20d︡{"stdout":"2*^K[1, 0, 0] + ^K[2, 2, 3] + ^K[0, 0, 0] + 3*^K[0, 1, 0]\n"}︡{"done":true}︡
︠25d963d6-1f8f-457e-916e-11a21a251621s︠
HatDem[1,2,2] + HatDem[2,3,1]
︡7776bfd8-0469-4823-b289-686fa0c2804c︡{"stdout":"^K[1, 2, 2] + ^K[2, 3, 1]\n"}︡{"done":true}︡
︠9ea35037-7a72-470d-9023-cecbb70ebe00s︠
pol = HatDem[3,2,3] + HatDem[3,1,1]
pol.divided_difference(1)
︡d77cd74f-a0ed-41b1-aea8-593893ad2436︡{"stdout":"^K[1, 2, 1] + ^K[2, 2, 3] + ^K[2, 1, 1]\n"}︡{"done":true}︡
︠37c4f1cc-99f1-42cd-aa7b-f69e3758e65fs︠
pol.isobaric_divided_difference(1)
︡1c98f026-3c05-4b18-b36e-666ee8321a3b︡{"stdout":"^K[3, 2, 3] + ^K[1, 3, 1] + ^K[2, 3, 3] + ^K[3, 1, 1]\n"}︡{"done":true}︡
︠70995fb8-ac65-46d3-86b9-3ab0787d58e8s︠
from multipolynomial_bases import SchubertPolynomials
Schub = SchubertPolynomials(QQ)
HatDem(Schub([1,0,2]))
︡ee6bf772-1990-432e-bab8-08ae587d9c27︡{"stdout":"^K[3, 0, 0] + ^K[1, 0, 2] + ^K[2, 1, 0] + ^K[1, 2, 0] + ^K[2, 0, 1]\n"}︡{"done":true}︡
︠ca443c63-ba03-4ca3-96d0-fb5bfc3a1fb4s︠
from multipolynomial_bases import DemazurePolynomials
Dem = DemazurePolynomials(QQ)
Dem
︡c40a2cf4-281b-413b-bd35-b84f4ced126c︡{"stdout":"The Multivariate polynomial algebra on x over Rational Field on the Demazure basis of type A\n"}︡{"done":true}︡
︠51fcb3b2-6626-4c73-9407-d1ea0c298166s︠
Dem.an_element()
︡bdaf6590-bdc8-4b0d-8184-db1cbca11256︡{"stdout":"2*K[1, 0, 0] + K[2, 2, 3] + K[0, 0, 0] + 3*K[0, 1, 0]\n"}︡{"done":true}︡
︠8e4ad7af-9543-48d8-a575-1fd5a134d0b4s︠
Dem[1,2,2] + Dem[2,3,1]
︡20350240-bc01-46f9-8328-2bd117a6693b︡{"stdout":"K[1, 2, 2] + K[2, 3, 1]\n"}︡{"done":true}︡
︠38ae2304-8182-45e8-893d-ee7f0f3381bfi︠
%md

## [Abelfunctions](https://github.com/abelfunctions/abelfunctions/)

by [Chris Swierczewski](http://www.cswiercz.info/)
︡3d246742-6d9a-44c7-a697-850f2ca2eac7︡{"done":true,"md":"\n## [Abelfunctions](https://github.com/abelfunctions/abelfunctions/)\n\nby [Chris Swierczewski](http://www.cswiercz.info/)"}
︠ef4ffd82-2e96-4441-8372-ce4d0a8513f6s︠
from abelfunctions import *
R.<x,y> = QQ[]
f = y**3 + 2*x**3*y - x**7
X = RiemannSurface(f)
X
︡4356c64f-750e-4e4c-a936-05d95f16329b︡{"stdout":"Riemann surface defined by f = -x^7 + 2*x^3*y + y^3\n"}︡{"done":true}︡
︠f25c8ebc-6285-4604-a8e6-d48f5857b217s︠
X.genus()
︡f49c213f-3039-4a5f-a5a2-43d4a57ec3c7︡{"stdout":"2"}︡{"stdout":"\n"}︡{"done":true}︡
︠2fdd3608-7b03-4cb5-8ff5-b55cb51411e8s︠
differentials = X.holomorphic_differentials()
for omega in differentials:
    print omega
︡ec57165f-99a5-4b32-9030-d372396b06de︡{"stdout":"x*y/(2*x^3 + 3*y^2)\nx^3/(2*x^3 + 3*y^2)\n"}︡{"done":true}︡
︠c1e19157-2177-4af0-88a1-d8d722dd8d95s︠
a_cycles = X.a_cycles()
b_cycles = X.b_cycles()
xfig = a_cycles[0].plot_x(512)
yfig = a_cycles[0].plot_y(512, color='green')
xfig.show(); yfig.show()
︡f4b18902-881e-4b62-9398-825024970aa9︡{"file":{"filename":"/projects/dbcc6096-340d-4b30-9444-1acd2864a967/.sage/temp/compute5-us/16806/tmp_i7PzzU.svg","show":true,"text":null,"uuid":"53d649f9-501f-4871-8b6b-dd1bb94cf098"},"once":false}︡{"file":{"filename":"/projects/dbcc6096-340d-4b30-9444-1acd2864a967/.sage/temp/compute5-us/16806/tmp_EwKbCG.svg","show":true,"text":null,"uuid":"2f94a822-5ada-4f8a-bde8-d07c36b31646"},"once":false}︡{"done":true}︡
︠8182fd9d-0e36-4eb6-8a9e-7c570cae7c86︠









